summaryrefslogtreecommitdiffstats
path: root/network/efax-gtk/efax-gtk.SlackBuild
diff options
context:
space:
mode:
author LukenShiro <lukenshiro@ngi.it>2010-05-11 22:54:45 +0200
committer Robby Workman <rworkman@slackbuilds.org>2010-05-11 22:54:45 +0200
commit0229d96159745b3aa42f479da9364749ebb88736 (patch)
treeb08202e1122b26008624bf325aeb67aa8edcec49 /network/efax-gtk/efax-gtk.SlackBuild
parent11c586d606b711722739d4e67db062179c3dfd91 (diff)
downloadslackbuilds-0229d96159745b3aa42f479da9364749ebb88736.tar.gz
slackbuilds-0229d96159745b3aa42f479da9364749ebb88736.tar.xz
network/efax-gtk: Added to 12.1 repository
Diffstat (limited to 'network/efax-gtk/efax-gtk.SlackBuild')
-rw-r--r--network/efax-gtk/efax-gtk.SlackBuild125
1 files changed, 125 insertions, 0 deletions
diff --git a/network/efax-gtk/efax-gtk.SlackBuild b/network/efax-gtk/efax-gtk.SlackBuild
new file mode 100644
index 0000000000..cf2d36509e
--- /dev/null
+++ b/network/efax-gtk/efax-gtk.SlackBuild
@@ -0,0 +1,125 @@
+#!/bin/sh
+
+# Slackware build script for efax-gtk
+
+# Copyright 2008 LukenShiro <lukenshiro@ngi.it>
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=efax-gtk
+VERSION=${VERSION:-3.0.17}
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+DOCFILES="AUTHORS COPYING ChangeLog INSTALL README BUGS ABOUT-NLS"
+# original efax's 'fax' shell script's functions are performed by efax-gtk
+# itself, so it is not installed as command. Nonetheless maybe can be useful
+# for historical purposes as documentation.
+EFAX_DOCS="efax/COPYING efax/PATCHES efax/README efax/fax"
+OTHER_CMDS="mail_fax print_fax"
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.src.tgz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --sysconfdir=/etc \
+ --datadir=/usr/share \
+ --mandir=/usr/man \
+ --docdir=/usr/doc/$PRGNAM-$VERSION \
+ --build=$ARCH-slackware-linux
+
+make
+make install DESTDIR=$PKG
+
+find $PKG | xargs file | grep -e "executable" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+# copy bash scripts to use with efax-gtk
+mkdir -p $PKG/usr/bin
+install -m 0755 $OTHER_CMDS $PKG/usr/bin
+
+# make some corrections to efax-gtkrc and upstream README
+sed -i "s|\$sysconfdir\/efax-gtkrc\ or\ |and |g" $PKG/etc/efax-gtkrc
+sed -i "s|\$sysconfdir\/efax-gtkrc\ and\ ||g" $PKG/etc/efax-gtkrc
+sed -i "s|\$sysconfdir\/efax-gtkrc\ or\ |and |g" $TMP/$PRGNAM-$VERSION/README
+sed -i "s|\$HOME/faxout|\$HOME/.efax-gtk/faxout|g" $TMP/$PRGNAM-$VERSION/README
+sed -i "s|\$HOME/faxsent|\$HOME/.efax-gtk/faxsent|g" $TMP/$PRGNAM-$VERSION/README
+sed -i "s|\$HOME/faxin|\$HOME/.efax-gtk/faxin|g" $TMP/$PRGNAM-$VERSION/README
+
+# set a specific $HOME working sub-directory for efax-gtk (do _not_ include $HOME)
+sed -i 's|^#WORK_SUBDIR\:|WORK_SUBDIR: .efax-gtk|g' $PKG/etc/efax-gtkrc
+sed -i 's|^WORK_SUBDIR=""|WORK_SUBDIR=".efax-gtk"|g' $PKG/usr/bin/mail_fax
+sed -i 's|^WORK_SUBDIR=""|WORK_SUBDIR=".efax-gtk"|g' $PKG/usr/bin/print_fax
+# adapt efax-gtk.desktop to use right icon from gnome-icon-theme package
+sed -i 's|^Icon=stock_send-fax.png|Icon=/usr/share/icons/gnome/24x24/stock/generic/stock_send-fax.png|g' \
+ $PKG/usr/share/applications/$PRGNAM.desktop
+
+# Don't clobber config file on upgrade
+mv $PKG/etc/efax-gtkrc $PKG/etc/efax-gtkrc.new
+
+# Compress the man pages
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+
+# Documentation for efax-gtk and efax
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION/
+cp -a $DOCFILES $PKG/usr/doc/$PRGNAM-$VERSION/
+cp -a src/libegg/CREDITS $PKG/usr/doc/$PRGNAM-$VERSION/CREDITS.libegg
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION/efax/
+cp -a $EFAX_DOCS $PKG/usr/doc/$PRGNAM-$VERSION/efax/
+# it's better to keep configuration file as a sample in doc, too, just in case.
+cp -a $PKG/etc/efax-gtkrc.new $PKG/usr/doc/$PRGNAM-$VERSION/efax.gtkrc.sample
+
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+cat $CWD/README.SLACKWARE > $PKG/usr/doc/$PRGNAM-$VERSION/README.SLACKWARE
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -c n -l y $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz